- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

EVP_bf_cbc, EVP_bf_cfb, EVP_bf_cfb64, EVP_bf_ecb, EVP_bf_ofb - EVP Blowfish cipher

# SYNOPSIS

    #include <openssl/evp.h>

    const EVP_CIPHER *EVP_bf_cbc(void);
    const EVP_CIPHER *EVP_bf_cfb(void);
    const EVP_CIPHER *EVP_bf_cfb64(void);
    const EVP_CIPHER *EVP_bf_ecb(void);
    const EVP_CIPHER *EVP_bf_ofb(void);

# DESCRIPTION

The Blowfish encryption algorithm for EVP.

This is a variable key length cipher.

EVP_bf_cbc(), EVP_bf_cfb(), EVP_bf_cfb64(), EVP_bf_ecb(), EVP_bf_ofb()

  Blowfish encryption algorithm in CBC, CFB, ECB and OFB modes respectively.

# NOTES

Developers should be aware of the negative performance implications of calling these functions multiple times and should consider using EVP_CIPHER_fetch(3) with EVP_CIPHER-BLOWFISH(7) instead. See "Performance" in crypto(7) for further information.

# RETURN VALUES

These functions return an EVP_CIPHER structure that contains the implementation of the symmetric cipher. See EVP_CIPHER_meth_new(3) for details of the EVP_CIPHER structure.

# SEE ALSO

evp(7), EVP_EncryptInit(3), EVP_CIPHER_meth_new(3)

# COPYRIGHT

Copyright 2017-2023 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.